Skip to main content
GET
/
funnels
Query Saved Report
curl --request GET \
  --url https://{regionAndDomain}.com/api/query/funnels \
  --header 'Authorization: Basic <encoded-value>'
{
  "meta": {
    "dates": [
      "2016-09-12",
      "2016-09-19",
      "2016-09-26"
    ]
  },
  "data": {
    "2016-09-12": {
      "steps": [
        {
          "count": 32688,
          "avg_time": 2,
          "avg_time_from_start": 5,
          "step_conv_ratio": 1,
          "goal": "App Open",
          "overall_conv_ratio": 1,
          "event": "App Open"
        },
        {
          "count": 20524,
          "avg_time": 133,
          "avg_time_from_start": 133,
          "step_conv_ratio": 0.627875673029858,
          "goal": "$custom_event:12345",
          "step_label": "Game Played",
          "custom_event": true,
          "custom_event_id": 12345,
          "overall_conv_ratio": 0.627875673029858,
          "event": "$custom_event:12345"
        }
      ],
      "analysis": {
        "completion": 20524,
        "starting_amount": 32688,
        "steps": 2,
        "worst": 1
      }
    },
    "2016-09-19": {
      "steps": [
        {
          "count": 32486,
          "avg_time": 10,
          "avg_time_from_start": 10,
          "step_conv_ratio": 1,
          "goal": "App Open",
          "overall_conv_ratio": 1,
          "event": "App Open"
        },
        {
          "count": 20809,
          "avg_time": 75,
          "avg_time_from_start": 75,
          "step_conv_ratio": 0.6405528535369082,
          "goal": "$custom_event:12345",
          "step_label": "Game Played",
          "custom_event": true,
          "custom_event_id": 12345,
          "overall_conv_ratio": 0.6405528535369082,
          "event": "$custom_event:12345"
        }
      ],
      "analysis": {
        "completion": 20809,
        "starting_amount": 32486,
        "steps": 2,
        "worst": 1
      }
    },
    "2016-09-26": {
      "steps": [
        {
          "count": 16103,
          "avg_time": 10,
          "avg_time_from_start": 5,
          "step_conv_ratio": 1,
          "goal": "App Open",
          "overall_conv_ratio": 1,
          "event": "App Open"
        },
        {
          "count": 12679,
          "avg_time": 571,
          "avg_time_from_start": 571,
          "step_conv_ratio": 0.7873688132646091,
          "goal": "$custom_event:12345",
          "step_label": "Game Played",
          "custom_event": true,
          "custom_event_id": 12345,
          "overall_conv_ratio": 0.7873688132646091,
          "event": "$custom_event:12345"
        }
      ],
      "analysis": {
        "completion": 12679,
        "starting_amount": 16103,
        "steps": 2,
        "worst": 1
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Service Account

Query Parameters

project_id
integer
required

Required if using service account to authenticate request.

workspace_id
integer

The id of the workspace if applicable.

funnel_id
integer
required

The funnel that you wish to get data for.

from_date
string
required

The date in yyyy-mm-dd format to begin querying from. This date is inclusive.

to_date
string
required

The date in yyyy-mm-dd format to query to. This date is inclusive.

length
integer

The number of units (defined by length_unit) each user has to complete the funnel, starting from the time they triggered the first step in the funnel. May not be greater than 90 days. Note that we will query for events past the end of to_date to look for funnel completions. This defaults to the value that was previously saved in the UI for this funnel.

length_unit
enum<string>

The unit applied to the length parameter can be "second", "minute", "hour", or "day". Defaults to the value that was previously saved in the UI for this funnel.

Available options:
day,
hour,
minute,
second
Example:

"day"

interval
integer

The number of days you want each bucket to contain. The default value is 1.

unit
enum<string>

This is an alternate way of specifying interval and can be "day", "week", or "month".

Available options:
day,
week,
month
on
string

The property expression to segment the event on. See the expression to segment below.

where
string

An expression to filter events by. See the expression to segment below.

limit
integer

Return the top property values. Defaults to 255 if not explicitly included. Maximum value 10,000. This parameter does nothing if "on" is not specified.

Response

200 - application/json

Success

meta
object
data
object